LegalStack

HRlink

Интеграция с HRlink (кадровый электронный документооборот).

POST
/api/v1/integrations/hrlink/applications/groups
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

[key: string]?unknown

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/applications/groups" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/connect
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/hrlink/connect" \  -H "Content-Type: application/json" \  -d '{    "clientId": "string",    "masterToken": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/disconnect
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/disconnect"
{
  "success": true
}
POST
/api/v1/integrations/hrlink/documents/groups
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/hrlink/documents/groups" \  -H "Content-Type: application/json" \  -d '{    "documents": [      {        "fileId": "string"      }    ],    "name": "string"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/documents/registry
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/documents/registry" \  -H "Content-Type: application/json" \  -d '{}'
{
  "property1": null,
  "property2": null
}
PUT
/api/v1/integrations/hrlink/documents/send-to-signing
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X PUT "https://loading/api/v1/integrations/hrlink/documents/send-to-signing" \  -H "Content-Type: application/json" \  -d '{    "documents": [      {        "id": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/documents/validate
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/hrlink/documents/validate" \  -H "Content-Type: application/json" \  -d '{    "documents": [      {        "id": "string"      }    ]  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
GET
/api/v1/integrations/hrlink/documents/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/hrlink/documents/string"
{
  "property1": null,
  "property2": null
}
GET
/api/v1/integrations/hrlink/documents/{id}/archive
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Тело ответа

application/octet-stream

application/problem+json

curl -X GET "https://loading/api/v1/integrations/hrlink/documents/string/archive"
"string"
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
GET
/api/v1/integrations/hrlink/documents/{id}/signing-requests/{signingRequestId}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string
signingRequestId*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/hrlink/documents/string/signing-requests/string"
{
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/files
АвторизацияBearer <токен>

В: header

Тело запроса

multipart/form-data

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/hrlink/files" \  -F file="string"
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/normative-acts
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

[key: string]?unknown

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/normative-acts" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/normative-acts/{id}/send-to-signing
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

[key: string]?unknown

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/normative-acts/string/send-to-signing" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "property1": null,
  "property2": null
}
GET
/api/v1/integrations/hrlink/status
АвторизацияBearer <токен>

В: header

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/hrlink/status"
{
  "connected": true,
  "status": "connected"
}
POST
/api/v1/integrations/hrlink/sync
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

Тело ответа

application/json

application/problem+json

curl -X POST "https://loading/api/v1/integrations/hrlink/sync" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "property1": null,        "property2": null      }    ],    "type": "EMPLOYEE_POSITIONS"  }'
{
  "property1": null,
  "property2": null
}
{
  "code": "string",
  "detail": "string",
  "errors": [
    {
      "name": "string",
      "pointer": "string",
      "reason": "string",
      "rule": "string"
    }
  ],
  "instance": "string",
  "request_id": "string",
  "status": 0,
  "title": "string",
  "trace_id": "string",
  "type": "http://example.com",
  "property1": null,
  "property2": null
}
GET
/api/v1/integrations/hrlink/sync/{id}
АвторизацияBearer <токен>

В: header

Параметры пути

id*string

Тело ответа

application/json

curl -X GET "https://loading/api/v1/integrations/hrlink/sync/string"
{
  "property1": null,
  "property2": null
}
POST
/api/v1/integrations/hrlink/users/invite
АвторизацияBearer <токен>

В: header

Тело запроса

application/json

TypeScript-определения

Используйте тип request body в TypeScript.

[key: string]?unknown

Тело ответа

application/json

curl -X POST "https://loading/api/v1/integrations/hrlink/users/invite" \  -H "Content-Type: application/json" \  -d '{    "property1": null,    "property2": null  }'
{
  "property1": null,
  "property2": null
}